Name: libv3d
Version: 0.1.14
Release: alt1.1

Summary: IO library for the V3D file format

License: LGPL
Group: System/Libraries
Url: http://wolfpack.twu.net/Vertex

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: ftp://wolfpack.twu.net/users/wolfpack/%name-%version.tar.bz2

# Automatically added by buildreq on Fri Dec 03 2004
BuildRequires: gcc-c++ libstdc++-devel xorg-x11-devel

%description
The libv3d library is a IO library for the V3D file format, a 3D model
file generated by the modeller Vertex 3D Model Assembler (hence the
name V3D).
It is used to read and write V3D data to/from file and memory with
integrated OpenGL library support. V3D data can be loaded and then
interprited into GL commands, suitable for GL display lists.
To learn more about the API, read `man V3DIntro' after installation of
the libv3d library.

%package devel
Summary: Headers for developing programs that will use %name
Group: Development/C
Requires: %name = %version

%description devel
This package contains the headers that programmers will need to develop
applications which will use %name.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
./configure Linux -v --disable=arch-i686
make

%install
make PREFIX=$RPM_BUILD_ROOT%prefix MAN_DIR=$RPM_BUILD_ROOT%_mandir/man3 install

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%doc AUTHORS INSTALL LICENSE.LGPL README
%_libdir/*.so.*
%_mandir/man3/*

%files devel
%_includedir/v3d
%_libdir/*.so

%changelog
* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.1.14-alt1.1
- Rebuilt with libstdc++.so.6.

* Fri Dec 03 2004 Vitaly Lipatov <lav@altlinux.ru> 0.1.14-alt1
- first build for ALT Linux Sisyphus

* Wed Jun 16 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.1.14-3mdk
- rebuild

* Sat Jul 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.1.14-2mdk
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- quiet setup
- fix shlib-with-non-pic-code

* Fri May 02 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1.14-1mdk
- 0.1.14
- moved .so file to -devel package

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1.5-3mdk
- rebuild

* Fri May 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1.5-2mdk
- rebuild against new libstdc++

* Tue Sep 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.5-1mdk
- added by Guillaume Rousse <g.rousse@linux-mandrake.com> :
	-  0.1.5

* Wed Aug 15 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1.4-1mdk
- first Mandrake release
